<?php
/**
 * @package Demo Import
 * @since 1.0.0
 */

class ThemeWhizzie {

	protected $version = '1.1.0';

	/** @var string Current theme name, used as namespace in actions. */
	protected $theme_name = '';
	protected $theme_title = '';
	public $parent_slug;
	/** @var string Demo Import page slug and title. */
	protected $page_slug = '';
	protected $page_title = '';

	/** @var array Demo Import steps set by user. */
	protected $config_steps = array();

	/**
	 * Constructor
	 *
	 * @param $revolution_video_vlog_config	Our config parameters
	*/
	public function __construct( $revolution_video_vlog_config ) {
		$this->set_vars( $revolution_video_vlog_config );
		$this->init();
	}

	/**
	 * Set some settings
	 * @since 1.0.0
	 * @param $revolution_video_vlog_config	Our config parameters
	*/
	public function set_vars( $revolution_video_vlog_config ) {
		if( isset( $revolution_video_vlog_config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $revolution_video_vlog_config['page_slug'] );
		}
		if( isset( $revolution_video_vlog_config['page_title'] ) ) {
			$this->page_title = esc_attr( $revolution_video_vlog_config['page_title'] );
		}
		if( isset( $revolution_video_vlog_config['steps'] ) ) {
			$this->config_steps = $revolution_video_vlog_config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-demoimport' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/**
	 * Hooks and filters
	 * @since 1.0.0
	*/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}

	public function enqueue_scripts() {
		wp_enqueue_style( 'demo-import-style', get_template_directory_uri() . '/demo-import/assets/css/demo-import-style.css');
		wp_register_script( 'demo-import-script', get_template_directory_uri() . '/demo-import/assets/js/demo-import-script.js', array( 'jquery' ), time() );
		wp_localize_script(
			'demo-import-script',
			'revolution_video_vlog_whizzie_params',
			array(
				'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
				'wpnonce' 		=> wp_create_nonce( 'whizzie_nonce' ),
				'verify_text'	=> esc_html( 'verifying', 'revolution-video-vlog' )
			)
		);
		wp_enqueue_script( 'demo-import-script' );
	}

	/**  Make a modal screen for the wizard **/
	public function menu_page() {
		add_menu_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'revolution_video_vlog_guide' ) ,'',40);
	}

	/** Make an interface for the wizard **/
	public function wizard_page() {
		/* If we arrive here, we have the filesystem */ ?>
		<div class="wrap">
			<?php echo '<div class="whizzie-wrap">';
				// The wizard is a list with only one item visible at a time
				$steps = $this->get_steps();
				echo '<ul class="whizzie-nav wizard-icon-nav">';?>
				<?php
					$stepI=1;
					foreach( $steps as $step ) {
						$stepAct=($stepI ==1)? 1 : 0;
						if( isset( $step['icon_text'] ) && $step['icon_text'] ) {
							echo '<li class="commom-cls nav-step-' . esc_attr( $step['id'] ) . '" wizard-steps="step-'.esc_attr( $step['id'] ).'" data-enable="'.$stepAct.'">
							<p>'.esc_attr( $step['icon_text'] ).'</p>
							</li>';
						}
					$stepI++;}
			 	echo '</ul>';
				echo '<ul class="whizzie-menu wizard-menu-page">';
				foreach( $steps as $step ) {
					$class = 'step step-' . esc_attr( $step['id'] );
					echo '<li data-step="' . esc_attr( $step['id'] ) . '" class="' . esc_attr( $class ) . '" >';
						$content = call_user_func( array( $this, $step['view'] ) );
						printf('<div class="wizard-button-wrapper">');
							if( isset( $step['button_text_one'] )) {
								printf(
									'<div class="button-wrap button-wrap-one">
										<a href="#" class="button button-primary do-it" data-callback="install_widgets" data-step="widgets"><p class="demo-type-text">%s</p></a>
									</div>',
									esc_html( $step['button_text_one'] )
								);
							}
						printf('</div>');
					echo '</li>';
				}
				echo '</ul>';
				?>
				<div class="step-loading"><span class="spinner">
					<img src="<?php echo esc_url(get_template_directory_uri().'/demo-import/assets/images/Spinner-Animaion.gif'); ?>">
				</span></div>
			<?php echo '</div>';?>
		</div>
	<?php }

	/**
	 * Set options for the steps
	 * @return Array
	*/
	public function get_steps() {
		$dev_steps = $this->config_steps;
		$steps = array(
			'widgets' => array(
				'id'			=> 'widgets',
				'title'			=> __( 'Customizer', 'revolution-video-vlog' ),
				'icon'			=> 'welcome-widgets-menus',
				'view'			=> 'get_step_widgets',
				'callback'		=> 'install_widgets',
				'button_text_one'	=> __( 'Import Demo', 'revolution-video-vlog' ),
				'can_skip'		=> true,
				'icon_text'      => 'Import Demo'
			),
			'done' => array(
				'id'			=> 'done',
				'title'			=> __( 'All Done', 'revolution-video-vlog' ),
				'icon'			=> 'yes',
				'view'			=> 'get_step_done',
				'callback'		=> '',
				'icon_text'      => 'Done'
			)
		);
		// Iterate through each step and replace with dev config values
		if( $dev_steps ) {
			// Configurable elements - these are the only ones the dev can update from config.php
			$can_config = array( 'title', 'icon', 'button_text', 'can_skip' );
			foreach( $dev_steps as $dev_step ) {
				// We can only proceed if an ID exists and matches one of our IDs
				if( isset( $dev_step['id'] ) ) {
					$id = $dev_step['id'];
					if( isset( $steps[$id] ) ) {
						foreach( $can_config as $element ) {
							if( isset( $dev_step[$element] ) ) {
								$steps[$id][$element] = $dev_step[$element];
							}
						}
					}
				}
			}
		}
		return $steps;
	}

	/**    Print the content for the intro step     **/
		public function get_step_importer() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('Thank you for choosing this Revolution Video Vlog Theme. Using this quick setup wizard, you will be able to configure your new website and get it running in just a few minutes. Just follow these simple steps mentioned in the wizard and get started with your website.','revolution-video-vlog'); ?>
			</p>
		</div>
	<?php }

	/**   Print the content for the widgets step   **/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('This theme allows you to import demo content and add widgets. Install them using the button below. You can also update or deactivate them using the Customizer.','revolution-video-vlog'); ?>
			</p>
		</div>
	<?php }

	/** Print the content for the final step **/
	public function get_step_done() { ?>

		<div class="setup-finish">
			<p>
				<?php echo esc_html('Your demo content has been imported successfully. Click the finish button for more information.'); ?>
			</p>
			<div class="finish-buttons">
				<a href="<?php echo esc_url( admin_url( 'themes.php?page=revolution-video-vlog-getstart-page' ) ); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('About Revolution Video Vlog','revolution-video-vlog') ?></a>
				<a href="<?php echo esc_url(admin_url('/customize.php')); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('Customize Your Demo','revolution-video-vlog') ?></a>
				<a href="" class="wz-btn-builder" target="_blank"><?php esc_html_e('Customize Your Demo','revolution-video-vlog'); ?></a>
				<a href="<?php echo esc_url(home_url()); ?>" class="wz-btn-visit-site" target="_blank"><?php esc_html_e('Visit Your Site','revolution-video-vlog'); ?></a>
			</div>
			<div class="finish-buttons">
				<a href="<?php echo esc_url(admin_url()); ?>" class="button button-primary"><?php esc_html_e('Finish','revolution-video-vlog'); ?></a>
			</div>
		</div>

	<?php }


	public function revolution_video_vlog_customizer_nav_menu() {
		// ------- Create Primary Menu --------
		$revolution_video_vlog_themename = 'Revolution Video Vlog'; // Ensure the theme name is set
		$revolution_video_vlog_menuname = $revolution_video_vlog_themename . ' Primary Menu';
		$revolution_video_vlog_menulocation = 'menu-1';
		$revolution_video_vlog_menu_exists = wp_get_nav_menu_object($revolution_video_vlog_menuname);

		if (!$revolution_video_vlog_menu_exists) {
			$revolution_video_vlog_menu_id = wp_create_nav_menu($revolution_video_vlog_menuname);

			// Home
			wp_update_nav_menu_item($revolution_video_vlog_menu_id, 0, array(
				'menu-item-title' => __('Home', 'revolution-video-vlog'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));

			// About
			$revolution_video_vlog_page_about = get_page_by_path('about');
			if($revolution_video_vlog_page_about){
				wp_update_nav_menu_item($revolution_video_vlog_menu_id, 0, array(
					'menu-item-title' => __('About', 'revolution-video-vlog'),
					'menu-item-classes' => 'about',
					'menu-item-url' => get_permalink($revolution_video_vlog_page_about),
					'menu-item-status' => 'publish'
				));
			}

			// Services
			$revolution_video_vlog_page_services = get_page_by_path('services');
			if($revolution_video_vlog_page_services){
				wp_update_nav_menu_item($revolution_video_vlog_menu_id, 0, array(
					'menu-item-title' => __('Services', 'revolution-video-vlog'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($revolution_video_vlog_page_services),
					'menu-item-status' => 'publish'
				));
			}

			// Blog
			$revolution_video_vlog_page_blog = get_page_by_path('blog');
			if($revolution_video_vlog_page_blog){
				wp_update_nav_menu_item($revolution_video_vlog_menu_id, 0, array(
					'menu-item-title' => __('Blog', 'revolution-video-vlog'),
					'menu-item-classes' => 'blog',
					'menu-item-url' => get_permalink($revolution_video_vlog_page_blog),
					'menu-item-status' => 'publish'
				));
			}

			// Contact Us
			$revolution_video_vlog_page_contact = get_page_by_path('contact');
			if($revolution_video_vlog_page_contact){
				wp_update_nav_menu_item($revolution_video_vlog_menu_id, 0, array(
					'menu-item-title' => __('Contact Us', 'revolution-video-vlog'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($revolution_video_vlog_page_contact),
					'menu-item-status' => 'publish'
				));
			}

			// Assign menu to location if not set
			if (!has_nav_menu($revolution_video_vlog_menulocation)) {
				$revolution_video_vlog_locations = get_theme_mod('nav_menu_locations');
				$revolution_video_vlog_locations[$revolution_video_vlog_menulocation] = $revolution_video_vlog_menu_id; // Use $revolution_video_vlog_menu_id here
				set_theme_mod('nav_menu_locations', $revolution_video_vlog_locations);
			}
		}
	}

	public function revolution_video_vlog_social_menu() {

		// ------- Create Social Menu --------
		$revolution_video_vlog_menuname = $revolution_video_vlog_themename . 'Social Menu';
		$revolution_video_vlog_menulocation = 'social-menu';
		$revolution_video_vlog_menu_exists = wp_get_nav_menu_object( $revolution_video_vlog_menuname );

		if( !$revolution_video_vlog_menu_exists){
			$revolution_video_vlog_menu_id = wp_create_nav_menu($revolution_video_vlog_menuname);

			wp_update_nav_menu_item( $revolution_video_vlog_menu_id, 0, array(
				'menu-item-title'  => __( 'Facebook', 'revolution-video-vlog' ),
				'menu-item-url'    => 'https://www.facebook.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $revolution_video_vlog_menu_id, 0, array(
				'menu-item-title'  => __( 'Pinterest', 'revolution-video-vlog' ),
				'menu-item-url'    => 'https://www.pinterest.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $revolution_video_vlog_menu_id, 0, array(
				'menu-item-title'  => __( 'Twitter', 'revolution-video-vlog' ),
				'menu-item-url'    => 'https://www.twitter.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $revolution_video_vlog_menu_id, 0, array(
				'menu-item-title'  => __( 'Youtube', 'revolution-video-vlog' ),
				'menu-item-url'    => 'https://www.youtube.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $revolution_video_vlog_menu_id, 0, array(
				'menu-item-title'  => __( 'Instagram', 'revolution-video-vlog' ),
				'menu-item-url'    => 'https://www.instagram.com',
				'menu-item-status' => 'publish',
			) );

			if( !has_nav_menu( $revolution_video_vlog_menulocation ) ){
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$revolution_video_vlog_menulocation] = $revolution_video_vlog_menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
			}
		}
	}

/**
* Imports the Demo Content
* @since 1.1.0
*/
public function setup_widgets() {

	//................................................. MENU PAGES .................................................//
	
	$revolution_video_vlog_home_id='';
	$revolution_video_vlog_home_content = '';

	$revolution_video_vlog_home_title = 'Home';
	$revolution_video_vlog_home = array(
			'post_type' => 'page',
			'post_title' => $revolution_video_vlog_home_title,
			'post_content'  => $revolution_video_vlog_home_content,
			'post_status' => 'publish',
			'post_author' => 1,
			'post_slug' => 'home'
	);
	$revolution_video_vlog_home_id = wp_insert_post($revolution_video_vlog_home);

	//Set the home page template
	add_post_meta( $revolution_video_vlog_home_id, '_wp_page_template', 'revolution-home.php' );

	//Set the static front page
	$revolution_video_vlog_home = get_page_by_title( 'Home' );
	update_option( 'page_on_front', $revolution_video_vlog_home->ID );
	update_option( 'show_on_front', 'page' );


	// Create a posts page and assign the template
	$revolution_video_vlog_blog_title = 'Blog';
	$revolution_video_vlog_blog_check = get_page_by_path('blog');
	if (!$revolution_video_vlog_blog_check) {
		$revolution_video_vlog_blog = array(
			'post_type'    => 'page',
			'post_title'   => $revolution_video_vlog_blog_title,
			'post_status'  => 'publish',
			'post_author'  => 1,
			'post_name'    => 'blog' // Unique slug for the blog page
		);
		$revolution_video_vlog_blog_id = wp_insert_post($revolution_video_vlog_blog);

		// Set the posts page
		if (!is_wp_error($revolution_video_vlog_blog_id)) {
			update_option('page_for_posts', $revolution_video_vlog_blog_id);
		}
	}

	// Create a Contact Us page and assign the template
	$revolution_video_vlog_contact_title = 'Contact Us';
	$revolution_video_vlog_contact_check = get_page_by_path('contact');
	if (!$revolution_video_vlog_contact_check) {
		$revolution_video_vlog_contact = array(
			'post_type'    => 'page',
			'post_title'   => $revolution_video_vlog_contact_title,
			'post_content'   => '"More About The Free Video WordPress Theme"
										The Free Video WordPress Theme is a versatile and user-friendly template designed to cater specifically to video-centric content creators. This theme serves as an ideal platform for showcasing videos in a visually compelling manner. Its primary purpose is to offer a seamless and accessible solution for those who want to share their video content with the world, without the burden of hefty costs associated with premium themes. This theme is an excellent choice for anyone looking to establish an online presence through video blogging, ranging from individual creators to small businesses and organizations. Its free nature makes it particularly attractive to those on a budget or just starting in the online content creation sphere.	

										The benefits of opting for the Free Video WordPress Theme are evident in its cost-effectiveness. Despite being free, the theme doesn’t compromise on quality, offering a clean and modern design that ensures an engaging user experience. Key features of the Free Video WordPress Theme include its responsive design, ensuring optimal performance across various devices. It supports multiple video formats and platforms, enhancing compatibility. The theme also boasts customization options, allowing users to personalize colors, fonts, and layouts according to their preferences. With easy integration of social media, users can effortlessly share their content, expanding their reach and audience engagement.',
					'post_status'  => 'publish',
			'post_author'  => 1,
			'post_name'    => 'contact' // Unique slug for the Contact Us page
		);
		wp_insert_post($revolution_video_vlog_contact);
	}

	// Create a About page and assign the template
	$revolution_video_vlog_about_title = 'About';
	$revolution_video_vlog_about_check = get_page_by_path('about');
	if (!$revolution_video_vlog_about_check) {
		$revolution_video_vlog_about = array(
			'post_type'    => 'page',
			'post_title'   => $revolution_video_vlog_about_title,
			'post_content'   => '"More About The Free Video WordPress Theme"
										The Free Video WordPress Theme is a versatile and user-friendly template designed to cater specifically to video-centric content creators. This theme serves as an ideal platform for showcasing videos in a visually compelling manner. Its primary purpose is to offer a seamless and accessible solution for those who want to share their video content with the world, without the burden of hefty costs associated with premium themes. This theme is an excellent choice for anyone looking to establish an online presence through video blogging, ranging from individual creators to small businesses and organizations. Its free nature makes it particularly attractive to those on a budget or just starting in the online content creation sphere.	

										The benefits of opting for the Free Video WordPress Theme are evident in its cost-effectiveness. Despite being free, the theme doesn’t compromise on quality, offering a clean and modern design that ensures an engaging user experience. Key features of the Free Video WordPress Theme include its responsive design, ensuring optimal performance across various devices. It supports multiple video formats and platforms, enhancing compatibility. The theme also boasts customization options, allowing users to personalize colors, fonts, and layouts according to their preferences. With easy integration of social media, users can effortlessly share their content, expanding their reach and audience engagement.',
					'post_status'  => 'publish',
			'post_author'  => 1,
			'post_name'    => 'about' // Unique slug for the About page
		);
		wp_insert_post($revolution_video_vlog_about);
	}

	// Create a Services page and assign the template
	$revolution_video_vlog_services_title = 'Services';
	$revolution_video_vlog_services_check = get_page_by_path('services');
	if (!$revolution_video_vlog_services_check) {
		$revolution_video_vlog_services = array(
			'post_type'    => 'page',
			'post_title'   => $revolution_video_vlog_services_title,
			'post_content'   => '"More About The Free Video WordPress Theme"
										The Free Video WordPress Theme is a versatile and user-friendly template designed to cater specifically to video-centric content creators. This theme serves as an ideal platform for showcasing videos in a visually compelling manner. Its primary purpose is to offer a seamless and accessible solution for those who want to share their video content with the world, without the burden of hefty costs associated with premium themes. This theme is an excellent choice for anyone looking to establish an online presence through video blogging, ranging from individual creators to small businesses and organizations. Its free nature makes it particularly attractive to those on a budget or just starting in the online content creation sphere.	

										The benefits of opting for the Free Video WordPress Theme are evident in its cost-effectiveness. Despite being free, the theme doesn’t compromise on quality, offering a clean and modern design that ensures an engaging user experience. Key features of the Free Video WordPress Theme include its responsive design, ensuring optimal performance across various devices. It supports multiple video formats and platforms, enhancing compatibility. The theme also boasts customization options, allowing users to personalize colors, fonts, and layouts according to their preferences. With easy integration of social media, users can effortlessly share their content, expanding their reach and audience engagement.',
					'post_status'  => 'publish',
			'post_author'  => 1,
			'post_name'    => 'services' // Unique slug for the Services page
		);
		wp_insert_post($revolution_video_vlog_services);
	}


	// ------------------------------------------ Header -------------------------------------- //

		set_theme_mod('revolution_video_vlog_header_button_text','SUBMIT STORY');
		set_theme_mod('revolution_video_vlog_header_button_link','#');

		set_theme_mod('revolution_video_vlog_topbar_facebook_link','#');
		set_theme_mod('revolution_video_vlog_topbar_twitter_link','#');
		set_theme_mod('revolution_video_vlog_topbar_instagram_link','#');
		set_theme_mod('revolution_video_vlog_topbar_pinterest_link','#');
		set_theme_mod('revolution_video_vlog_topbar_whatsapp_link','#');

	// ------------------------------------------ Blogs for Section -------------------------------------- //

		// Create categories if not already created
		$revolution_video_vlog_category_slider = wp_create_category('Slider');
		$revolution_video_vlog_category_blogs = wp_create_category('Blogs');

		// Array of categories to assign to each set of posts
		$revolution_video_vlog_categories = array($revolution_video_vlog_category_slider, $revolution_video_vlog_category_blogs);

		// Array of image URLs for the "Slider" category
		$slider_images = array(
			get_template_directory_uri() . '/revolution/assets/image/slider1.png',
			get_template_directory_uri() . '/revolution/assets/image/slider2.png',
			get_template_directory_uri() . '/revolution/assets/image/slider3.png',
		);

		// Array of image URLs for the "Blogs" category
		$blogs_images = array(
			get_template_directory_uri() . '/revolution/assets/image/blogs1.png',
			get_template_directory_uri() . '/revolution/assets/image/blogs2.png',
		);

		// Loop to create posts
		for ($i = 1; $i <= 5; $i++) {
			$title = array(
				'FLAVORS AROUND THE WORLD',
				'BALANCING ACT IN THE MODERN WORLD',
				'A JOURNEY THROUGH URBAN MARVELS',
				'MIXING FUN AND FUNCTIONAL WORKOUTS!',
				'FASHION FORWARD: RUNWAY TO REAL LIFE!',
			);

			$content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s';

			// Determine category and post index to use for title
			$category_index = ($i <= 3) ? 0 : 1; // First 3 for Slider, next 2 for Blogs
			$post_title = $title[$i - 1]; // Adjust for zero-based index in title array

			// Create post object
			$my_post = array(
				'post_title'    => wp_strip_all_tags($post_title),
				'post_content'  => $content,
				'post_status'   => 'publish',
				'post_type'     => 'post',
				'post_category' => array($revolution_video_vlog_categories[$category_index]), // Assign Slider to first 6, Blogs to last 4
			);

			// Insert the post into the database
			$post_id = wp_insert_post($my_post);

			// Determine the category and set image URLs based on category
			if ($category_index === 0) { // Slider category
				// Use different images for each post in Slider category
				$slider_image_index = $i - 1; // Get the correct index for the Slider images array (1-6 corresponds to 0-5)
				$revolution_video_vlog_image_url = $slider_images[$slider_image_index];
				$revolution_video_vlog_image_name = basename($revolution_video_vlog_image_url);
			} else { // Blogs category
				// Use different images for each post in Blogs category
				$blogs_image_index = $i - 4; // Get the correct index for the Blogs images array (7-10 corresponds to 0-3)
				$revolution_video_vlog_image_url = $blogs_images[$blogs_image_index];
				$revolution_video_vlog_image_name = basename($revolution_video_vlog_image_url);
			}

			$revolution_video_vlog_upload_dir = wp_upload_dir();
			$revolution_video_vlog_image_data = file_get_contents($revolution_video_vlog_image_url);
			$revolution_video_vlog_unique_file_name = wp_unique_filename($revolution_video_vlog_upload_dir['path'], $revolution_video_vlog_image_name);
			$filename = basename($revolution_video_vlog_unique_file_name);

			if (wp_mkdir_p($revolution_video_vlog_upload_dir['path'])) {
				$file = $revolution_video_vlog_upload_dir['path'] . '/' . $filename;
			} else {
				$file = $revolution_video_vlog_upload_dir['basedir'] . '/' . $filename;
			}

			if ( ! function_exists( 'WP_Filesystem' ) ) {
				require_once( ABSPATH . 'wp-admin/includes/file.php' );
			}
			
			WP_Filesystem();
			global $wp_filesystem;
			
			if ( ! $wp_filesystem->put_contents( $file, $revolution_video_vlog_image_data, FS_CHMOD_FILE ) ) {
				wp_die( 'Error saving file!' );
			}

			$wp_filetype = wp_check_filetype($filename, null);
			$attachment = array(
				'post_mime_type' => $wp_filetype['type'],
				'post_title'     => sanitize_file_name($filename),
				'post_content'   => '',
				'post_status'    => 'inherit'
			);

			$revolution_video_vlog_attach_id = wp_insert_attachment($attachment, $file, $post_id);

			require_once(ABSPATH . 'wp-admin/includes/image.php');

			$revolution_video_vlog_attach_data = wp_generate_attachment_metadata($revolution_video_vlog_attach_id, $file);
			wp_update_attachment_metadata($revolution_video_vlog_attach_id, $revolution_video_vlog_attach_data);
			set_post_thumbnail($post_id, $revolution_video_vlog_attach_id);
		}


  	 	$this->revolution_video_vlog_customizer_nav_menu();
  	 	$this->revolution_video_vlog_social_menu();
	}

	public function revolution_video_vlog_guide() {
		$display_string = '';
		$return = add_query_arg( array()) ;
		$theme = wp_get_theme( 'revolution-video-vlog' );
		?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="wrapper-info-content">
				<div class="buynow__">
					<h2><?php esc_html_e( 'Welcome to Revolution Video Vlog', 'revolution-video-vlog' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
					<p><?php esc_html_e('The quick setup wizard will assist you in configuring your new website. This wizard will import the demo content.', 'revolution-video-vlog'); ?></p>
				</div>
				<div class="buynow_">
					<a target="_blank" class="buynow_themepage" href="<?php echo esc_url('https://www.revolutionwp.com/products/vlog-wordpress-theme'); ?>"><?php echo esc_html__('Go Premium Now', 'revolution-video-vlog'); ?></a>
				</div>
			</div>
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent open">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }
}